.\"	$NetBSD: intro.4,v 1.7 2005/06/20 13:25:24 peter Exp $
.\"
.\" Copyright (c) 2003 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Marcus Comstedt.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd August 24, 2003
.Dt INTRO 4 dreamcast
.Os
.Sh NAME
.Nm intro
.Nd introduction to dreamcast special files and hardware support
.Sh DESCRIPTION
This section describes the special files, related driver functions,
and networking support
available in the system.
In this part of the manual, the
.Tn SYNOPSIS
section of each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation;
see
.Xr syslogd 8
for more information.
.Pp
This section contains both devices which may be configured into
the system and network related information.
The networking support is introduced in
.Xr netintro 4 .
.Sh DEVICE SUPPORT
This section describes the hardware supported on the
.Tn Dreamcast
platform.
Software support for these devices come in two forms.
A hardware device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Block and character devices are accessed through files in the file
system of a special type; see
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then
compiled into the system.
When the resultant system is booted, the autoconfiguration facilities
in the system probe for the device and, if found, enable the software
support for it.
If a device does not respond at autoconfiguration time, it is not
accessible at any time afterwards.
To enable a device which did not autoconfigure,
the system must be rebooted.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
A list of the supported devices is given below.
.Sh LIST OF DEVICES
The devices listed below are supported in this incarnation of
the system.
Devices are indicated by their functional interface.
Not all supported devices are listed.
.\"
.Pp
Standard builtin devices:
.Bl -tag -width gapspci -offset indent -compact
.It g2bus
.Dq Tn G2
internal I/O bus
.It gapspci
.Tn PCI
bridge used in expansion port peripherals
.It gdrom
Builtin GD-ROM optical disc drive
.It pvr
Framebuffer device using the builtin NEC PVR graphics subsystem
.It aica
Builtin AICA sound system
.El
.\"
.Pp
Controller port peripherals are supported though the
.Xr maple 4
bus and associated device drivers.
.\"
.Pp
Network interfaces:
.Bl -tag -width gapspci -offset indent -compact
.It rtk
Ethernet driver for the HIT-0400 Broadband Adapter
.It mbe
Ethernet driver for the HIT-0300 LAN Adapter
.El
.\"
.Sh SEE ALSO
.Xr config 1 ,
.Xr autoconf 4 ,
.Xr netintro 4
.Sh HISTORY
The
.Nm
man page appeared in
.Nx 2.0 .
.\"  LocalWords:  NetBSD its INCIDENTAL EXEMPLARY SERVICES INTERRUPTION
